Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1514899 - [downstream clone - 4.1.9] [RFE] Persist column visibility and position in browser's local storage
Summary: [downstream clone - 4.1.9] [RFE] Persist column visibility and position in br...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 2.1.0
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ovirt-4.1.9
: ---
Assignee: Alexander Wels
QA Contact: Pavel Novotny
URL:
Whiteboard:
Depends On: 1285456
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-19 10:37 UTC by rhev-integ
Modified: 2018-03-26 11:25 UTC (History)
16 users (show)

Fixed In Version: ovirt-engine-4.1.8.1
Doc Type: Enhancement
Doc Text:
Clone Of: 1285456
Environment:
Last Closed: 2017-11-30 13:07:17 UTC
oVirt Team: UX


Attachments (Terms of Use)
screen: column position & data alignment after page reload (deleted)
2017-11-24 17:24 UTC, Pavel Novotny
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3427 normal SHIPPED_LIVE Low: org.ovirt.engine-root security, bug fix, and enhancement update 2017-12-12 14:16:31 UTC
oVirt gerrit 83877 master MERGED webadmin: Grid column width persistence. 2017-11-19 10:38:37 UTC
oVirt gerrit 84047 master MERGED webadmin: Persist column visibility 2017-11-19 10:38:37 UTC
oVirt gerrit 84122 master MERGED webadmin: Persist column order 2017-11-19 10:38:37 UTC
oVirt gerrit 84204 ovirt-engine-4.1 MERGED webadmin: Grid column width persistence. 2017-11-19 10:38:37 UTC
oVirt gerrit 84207 ovirt-engine-4.1 MERGED webadmin: Persist column visibility 2017-11-19 10:38:37 UTC
oVirt gerrit 84282 ovirt-engine-4.1 MERGED webadmin: Persist column order 2017-11-19 10:38:37 UTC
oVirt gerrit 84737 ovirt-engine-4.1 MERGED Revert "webadmin: Persist column order" 2017-11-28 14:23:26 UTC

Description rhev-integ 2017-11-19 10:37:21 UTC
+++ This bug is a downstream clone. The original bug is: +++
+++   bug 1285456 +++
======================================================================

BZ 1172390 introduces table header context menu that allows users to control visibility and position of individual columns for all main & sub tabs.

  https://imgur.com/5dfh8QA

This RFE completes the feature by persisting above mentioned column settings in browser's local storage, similar to persisting other client-side settings.

Implementing this RFE is non-trivial due to interference with existing column width persistence mechanism (which uses column index).

(Originally by Vojtech Szocs)

Comment 1 rhev-integ 2017-11-19 10:37:30 UTC
Vojtech - how much work is left to complete this?
Will we be able to push that in 4.0?

(Originally by Oved Ourfali)

Comment 3 rhev-integ 2017-11-19 10:37:36 UTC
(In reply to Oved Ourfali from comment #1)
> Vojtech - how much work is left to complete this?

The "column control menu" is already implemented, its code is further improved by patch https://gerrit.ovirt.org/#/c/54186/ which also addresses RFE BZ#1285499 to utilize drag'n'drop behavior.

Given that RFE BZ#1285499 already has a fix, this RFE is the only one to fix in order to consider "column control menu" UI feature as complete.

ETA 3-4 days, just need to ensure that existing "persist column widths" mechanism works well with ability to re-arrange column positions.

> Will we be able to push that in 4.0?

Yes, I believe so.

(Originally by Vojtech Szocs)

Comment 15 Pavel Novotny 2017-11-24 17:22:58 UTC
FailedQA in
ovirt-engine-4.1.8.1-0.1.el7.noarch
ovirt-engine-webadmin-portal-4.1.8.1-0.1.el7.noarch

The column visibility and width is persistent, but the position persistence is not working correctly.

Example:
Go to Disks tab:
1) hide the Alias column
2) change the width of the Status column
3) swap the columns ID and Description.

Reload the page.
Results:
1) OK
2) OK
3) not OK: 
   In the table header, the two columns are back in their original positions - not swapped.
   But data in the table have the columns swapped. Also, the data alignment here is distorted.
   See the attached screenshot.

Comment 16 Pavel Novotny 2017-11-24 17:24:06 UTC
Created attachment 1358727 [details]
screen: column position & data alignment after page reload

Comment 17 Oved Ourfali 2017-11-27 13:29:17 UTC
Moving to 4.1.9, although big part of the functionality will land in 4.1.8.

Comment 19 Oved Ourfali 2017-11-30 13:07:17 UTC
This will be fixed only on 4.2.

Comment 20 Tahlia Richardson 2017-12-04 01:18:55 UTC
Clearing doc text based on WONTFIX status.


Note You need to log in before you can comment on or make changes to this bug.